#!/usr/bin/perl

BEGIN{
  my $dir=$0;
  $dir=~s|[^/]*$|../perllib|;
  push(@INC,$dir);
}  

use PointSet;
use FacetList;
use Chirotope;
use FilterUtil qw(run_command);
use FilterConfig;

use Getopt::Std;


sub usage{
  print STDERR "usage:\n";
  print STDERR "$0 -t topcom|ine|raw [-i] file\n";
  exit(1)
}

getopts("t:i:",\%opt);
$infile=$opt{i};
$infile=shift if (!defined($infile));

usage() if (!defined($infile) || !defined($opt{t}));

$S=PointSet::input(type=>$opt{t},
		   file=>$infile);

# optionally remove redundancy.

$S=$S->extremes() if ($opt{e});

print STDERR $S->ine("incidence");

$F=$S->facets();

print $F->mpc();
